InvalidOptionValsFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.exception.InvalidOptionValsFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.exception
Class InvalidOptionValsFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.ui.exception.InvalidOptionValsFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidOptionValsFoundException

extends ApplicationException

This class is throw in the UI if an InvalidConfigOptionValueException is thrown while iterating through a list of ConfigOptions while building up the ConfigOptions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`InvalidOptionValsFoundException()`
`InvalidOptionValsFoundException(java.lang.String s)`
`InvalidOptionValsFoundException(java.lang.String s, ConfigResponse res)`
`InvalidOptionValsFoundException(java.lang.String s, java.lang.Throwable t)`
`InvalidOptionValsFoundException(java.lang.Throwable t)`

Method Summary
`ConfigResponse` | `getConfigResponse()`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOptionValsFoundException

    public InvalidOptionValsFoundException()

### InvalidOptionValsFoundException

    public InvalidOptionValsFoundException(java.lang.String s)

Parameters:
  `s` -

### InvalidOptionValsFoundException

    public InvalidOptionValsFoundException(java.lang.String s,
                                           ConfigResponse res)

Parameters:
  `s` -

### InvalidOptionValsFoundException

    public InvalidOptionValsFoundException(java.lang.Throwable t)

Parameters:
  `t` -

### InvalidOptionValsFoundException

    public InvalidOptionValsFoundException(java.lang.String s,
                                           java.lang.Throwable t)

Parameters:
  `s` -
  `t` -

Method Detail

### getConfigResponse

    public ConfigResponse getConfigResponse()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.